%define major 7
%define libname %mklibname %name %major
%define libnamedev %mklibname %name -d

%define name    gucharmap
%define version 3.2.2
%define release %mkrel 2

Summary: 	A Unicode character map and font viewer
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Publishing
Source0: 	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
URL: 		http://gucharmap.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: 	libgnomeui2-devel >= 2.5.90.1
BuildRequires:	scrollkeeper
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	libxslt-proc
BuildRequires:	perl-XML-Parser
BuildRequires:	desktop-file-utils
Requires(post):		scrollkeeper
Requires(postun):	scrollkeeper
Obsoletes: libgucharmap7 
Provides: libgucharmap7 = %version-%release
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2



%description
gucharmap is a Unicode/ISO 10646 character map and font viewer. It
supports anti-aliased, scalable truetype fonts in X, using Xft, and
works on Unix and Windows platforms.

#german
%description -l de
gucharmap ist ein Unicode / ISO 10646 Charakter-und Font-Viewer anzeigen. Es
unterstützt Anti-Aliasing, skalierbare TrueType-Schriften in X, mit Xft und
Arbeiten auf Unix-und Windows-Plattformen.

#french
%description -l fr
gucharmap est un Unicode / ISO 10646 et la carte visionneuse de police. Il
supports anti-crénelage, évolutive polices TrueType dans X, en utilisant Xft, et
fonctionne sur les plates-formes Unix et Windows.

#spanish
%description -l es
gucharmap es un Unicode / Mapa de caracteres ISO 10646 y el espectador de la fuente. Ello
soporta "anti-alias, las fuentes TrueType escalables en X, utilizando Xft, y
trabaja en plataformas UNIX y Windows.

#polish
%description -l pl
gucharmap jest Unicode / ISO 10646 znaków i przeglądarka czcionek.
Obsługuje wygładzanie, skalowanie czcionek TrueType w X z Xft i
działa na platformach UNIX i Windows.

#serbian
%description -l sr
Уникод је гуцхармап / ИСО 10646 Цхарацтер Мап и фонт гледалаца. То
подржава анти алиасед, променљивих ТруеТыпе фонтови у Кс, користи Ксфт и
ради на Уникс и Уиндоус платформама.

#dutch
%description -l nl
gucharmap is een Unicode / ISO 10646 karakter kaart en lettertype-viewer. Het
steunt anti-aliasing, schaalbare TrueType-lettertypen in X, met behulp van Xft, en
werkt op Unix en Windows-platforms.


%package devel
Summary: Headers for developing programs that will use gucharmap
Group: Development/Libraries
Requires: %name = %{version}
Provides: %name-devel = %{version}-%{release}
Requires: libgnomeui2-devel
Obsoletes: %mklibname %name -d 5
Obsoletes: libgucharmap-devel
Provides: lib%name-devel = %{version}-%{release}

%description devel
This package contains the headers that programmers will need to develop
applications which will use gucharmap.

%prep
%setup -q

%build
%configure2_5x --disable-scrollkeeper
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang

%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

perl -pi -e "s|Icon=accessories-character-map|Icon=gucharmap.png|" %buildroot/%_datadir/applications/gucharmap.desktop

# I hate generic names in menu
perl -pi -e "s|Character Map|GuCharacter Map|" $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop



# install and resize icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/%_liconsdir/%name.png
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT/%_iconsdir/%name.png 
install -m 0644 %SOURCE3 $RPM_BUILD_ROOT/%_miconsdir/%name.png

# we don't want these
find %{buildroot} -name "*.a" -exec rm -rf {} \;
find %{buildroot} -name "*.la" -exec rm -rf {} \;

%{find_lang} %{name} --with-gnome
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

%post
/sbin/ldconfig
%update_scrollkeeper
%update_menus
 
%postun
/sbin/ldconfig
%clean_scrollkeeper
%clean_menus


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%doc ChangeLog README TODO
%{_bindir}/*
%{_datadir}/applications/*
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/gucharmap/gucharmap-C.omf
%_sysconfdir/gconf/schemas/%name.schemas
%_libdir/libgucharmap_2_90.so.%{major}*


%files devel
%defattr (-,root,root)
%_libdir/*.so
%_libdir/pkgconfig/*
%_includedir/*

%changelog
* Sun Nov 10 2013 pinoc <vogtpet at gmail.com> 3.2.2-2pclos2013
- rebuild for 64

* Wed Dec 14 2011 Texstar <texstar at gmail.com> 3.2.2-1pclos2011
- 3.2.2

* Wed Oct 18 2011 Texstar <texstar at gmail.com> 3.2.1-1pclos2011
- 3.2.1

* Tue Sep 27 2011 Texstar <texstar at gmail.com> 3.2.0-1pclos2011
- 3.2.0

* Thu Sep 22 2011 Texstar <texstar at gmail.com> 3.1.92-1pclos2011
- 3.1.92

* Mon Aug 29 2011 Texstar <texstar at gmail.com> 3.0.1-1pclos2011
- 3.0.1

* Tue Apr 05 2011 Texstar <texstar at gmail.com> 3.0.0-1pclos2011
- 3.0.0

* Tue Nov 16 2010 siamer <siamer@wp.pl> 2.32.1-1pclos2010
- new version

* Thu Sep 30 2010 Texstar <texstar at gmail.com> 2.32.0-3pclos2010
- adjust build

* Wed Sep 29 2010 Texstar <texstar at gmail.com> 2.32.0-2pclos2010
- rebuild for updated libs

* Mon Sep 27 2010 siamer <siamer@wp.pl> 2.32.0-1pclos2010
- new version

* Wed Jun 23 2010 siamer <siamer@wp.pl> 2.30.2-1pclos2010
- new version

* Mon Apr 26 2010 Texstar <texstar at gmail.com> 2.30.1-1pclos2010
- 2.30.1

* Mon Mar 29 2010 siamer <siamer@wp.pl> 2.30.0-1pclos2010
- new version

* Thu Dec 24 2009 <texstar at gmail.com> 2.28.1-2pclos2010
- rebuild

*Fri Oct 23 2009 siamer <siamer@wp.pl> 2.28.1-1pclos2010
- new version 2.28.1

* Sat Oct 10 2009 Texstar <texstar at gmail.com> 2.28.0-2pclos2010
- system rebuild

* Tue Oct 06 2009 slick50 <lxgator@gmail.com> 2.28.0-1pclos2010
- 2.28.0

* Fri Jul 03 2009 slick50 <lxgator@gmail.com> 2.26.3.1-1pclos2009
- 2.26.3.1

* Fri May 22 2009 slick50 <lxgator@gmail.com> 2.26.2-1pclos2009
- 2.26.2

* Sun May 10 2009 texstar <texstar@gmail.com> 2.26.1-2pclos2009
- fix menu icon for all desktops

* Mon May 04 2009 siamer <siamer@wp.pl> 2.26.1-1pclos2009
- new version 2.26.1
- builded against libgnomeui2-devel >= 2.5.90.1


